package com.geetest.gateauth.demo;


import android.app.Application;

//import androidx.window.embedding.SplitController;

import com.geetest.gateauth.demo.util.Constants;
import com.geetest.onelogin.OneLoginHelper;

public class App extends Application {

    @Override
    public void onCreate() {
        super.onCreate();
        /**
         * OneLogin 初始化
         */
        OneLoginHelper.with()
                //开启日志打印功能，Release 版本可以关闭
                .setLogEnable(true)
                /**
                 * 新的 init 接口第二个参数支持配置 APP_ID（将会把请求运营商配置提前到初始化阶段），register 接口无需重复配置，可传空字符串
                 * OneLogin 与 OnePass 属于不同的产品，注意产品 APPID 不可混用，请在后台分别申请对用的 APPID
                 */
                .init(this, Constants.APP_ID_OL)
                .setRequestTimeout(8000, 8000)
                /**
                 * register 方法建议在应用启动或进入登录页的前一个页面、用户登出时时调用
                 * 1. 提前注册用于提前预取号，便于快速拉起授权页
                 * 2. 用户退出登录后，再次调用重新预取号，方便下次登录能迅速进入授权页
                 */
                .register(null);
    }
}
