package com.geetest.gateauth.demo.util;

/**
 * 公共常量配置
 */
public class Constants {
    public static final String TAG = "Geetest_OneLogin";

    /**
     * 服务端校验接口地址, 需要用到服务端 SDK
     * 当前验证地址仅供演示 Demo 使用，实际使用请配置为自定义校验的服务端地址
     */
    public static final String BASE_URL = "https://onepass.geetest.com";


    /**
     * *******************************************************************************
     * OneLogin 与 OnePass 属于不同的产品，注意产品 APPID 不可混用，请在后台分别创建对应的应用
     * *******************************************************************************
     */
    /**
     * 后台申请的 OneLogin APP_ID
     * 当前 APP_ID 仅供演示 Demo使用，如果修改了应用包名或者签名信息，请使用申请的 APP_ID
     * 谨记：APP_ID 需绑定相关的包名和包签名(提供这两项信息从后台申请 APP_ID)
     */
    public static final String APP_ID_OL = "b41a959b5cac4dd1277183e074630945";
    /**
     * 后台申请的 OnePass APP_ID
     * 当前 APP_ID 仅供演示 Demo 使用，如果修改了应用包名或者签名信息，请使用申请的 APP_ID
     * 谨记：APP_ID 需绑定相关的包名和包签名(提供这两项信息从后台申请 APP_ID)
     */
    public static final String APP_ID_OP = "3996159873d7ccc36f25803b88dda97a";


    /**
     * OneLogin 后台配置的 CHECK_PHONE 接口地址，该地址仅限 Demo 使用，如果修改了 Demo 包名与 APP_ID，请勿使用该地址
     * 一键登录置换手机号
     */
    public static final String CHECK_PHONE_URL = BASE_URL + "/onelogin/result";

    /**
     * OnePass 后台配置的 CHECK_GATEWAY 接口地址，该地址仅限 Demo 使用，如果修改了 Demo 包名与 APP_ID，请勿使用该地址
     * 本机号码校验接口
     */
    public static final String CHECK_GATE_WAY = BASE_URL + "/v2.0/result";

    /**
     * 请求成功的响应值
     */
    public static final int SUCCESS_CODE = 200;

    /**
     * 一键登录 浮窗式
     */
    public static final int ONELOGIN_FLOAT_MODE = 0;
    /**
     * 一键登录 弹窗式
     */
    public static final int ONELOGIN_DIALOG_MODE = 1;
    /**
     * 一键登录 沉浸式
     */
    public static final int ONELOGIN_FULLSCREEN_MODE = 2;
    /**
     * 一键登录 横屏
     */
    public static final int ONELOGIN_LANDSCAPE_MODE = 3;

    public static final String IS_ONELOGIN_SUCCEED = "isOneLoginSucceed";
}
