package com.geetest.gateauth.demo.view;

import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.RelativeLayout;

import com.geetest.gateauth.demo.R;


public class SuccessView extends RelativeLayout {
    public SuccessView(Context context) {
        super(context);
        init(context);
    }

    public SuccessView(Context context, AttributeSet attrs) {
        super(context, attrs);
        init(context);
    }

    public SuccessView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        init(context);
    }

    private AnimatorSet animatorSet;
    private ImageView iv1, iv2, iv3, iv4, iv5, iv6;

    private void init(Context context) {
        LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        View view = inflater.inflate(R.layout.layout_success_view, this);
        iv1 = view.findViewById(R.id.gtm_iv_success1);
        iv2 = view.findViewById(R.id.gtm_iv_success2);
        iv3 = view.findViewById(R.id.gtm_iv_success3);
        iv4 = view.findViewById(R.id.gtm_iv_success4);
        iv5 = view.findViewById(R.id.gtm_iv_success5);
        iv6 = view.findViewById(R.id.gtm_iv_success6);
    }

    public void start() {
        ObjectAnimator obiv1x = ObjectAnimator.ofFloat(iv1, "translationX", 0f, -225f);
        ObjectAnimator obiv1y = ObjectAnimator.ofFloat(iv1, "translationY", 0f, -70f);

        ObjectAnimator obiv2x = ObjectAnimator.ofFloat(iv2, "translationX", 0f, 290f);
        ObjectAnimator obiv2y = ObjectAnimator.ofFloat(iv2, "translationY", 0f, -160f);

        ObjectAnimator obiv3x = ObjectAnimator.ofFloat(iv3, "translationX", 0f, 215f);
        ObjectAnimator obiv3y = ObjectAnimator.ofFloat(iv3, "translationY", 0f, -70f);

        ObjectAnimator obiv4x = ObjectAnimator.ofFloat(iv4, "translationX", 0f, -200f);
        ObjectAnimator obiv4y = ObjectAnimator.ofFloat(iv4, "translationY", 0f, -170f);

        ObjectAnimator obiv5x = ObjectAnimator.ofFloat(iv5, "translationX", 0f, -300f);
        ObjectAnimator obiv5y = ObjectAnimator.ofFloat(iv5, "translationY", 0f, -160f);

        ObjectAnimator obiv6x = ObjectAnimator.ofFloat(iv6, "translationX", 0f, 170f);
        ObjectAnimator obiv6y = ObjectAnimator.ofFloat(iv6, "translationY", 0f, -170f);

        ValueAnimator mircleAnim = ValueAnimator.ofFloat(0, 0, 0, 255);
        mircleAnim.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() {
            @Override
            public void onAnimationUpdate(ValueAnimator animation) {
                iv1.setAlpha((Float) animation.getAnimatedValue());
                iv2.setAlpha((Float) animation.getAnimatedValue());
                iv3.setAlpha((Float) animation.getAnimatedValue());
                iv4.setAlpha((Float) animation.getAnimatedValue());
                iv5.setAlpha((Float) animation.getAnimatedValue());
                iv6.setAlpha((Float) animation.getAnimatedValue());
            }
        });
        animatorSet = new AnimatorSet();
        animatorSet.setDuration(500);
        animatorSet.playTogether(obiv1x, obiv1y, obiv2x, obiv2y, obiv3x, obiv3y, obiv4x, obiv4y, obiv5x, obiv5y, obiv6x, obiv6y, mircleAnim);
        animatorSet.start();
    }
}
